Bug 1728889 - Cannot retire service which has a VM that has been retired first
Summary: Cannot retire service which has a VM that has been retired first
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning
Version: 5.10.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.8
Assignee: drew uhlmann
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1720338
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 21:23 UTC by Satoe Imaishi
Modified: 2019-11-19 22:36 UTC (History)
7 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1720338
Environment:
Last Closed: 2019-08-13 08:35:41 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:48 UTC

Comment 3 CFME Bot 2019-07-22 20:36:03 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/e8bd1a3882ab0cb25b0970545ba320cc5428a8e0
commit e8bd1a3882ab0cb25b0970545ba320cc5428a8e0
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Wed Jun 19 15:25:37 2019 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Wed Jun 19 15:25:37 2019 -0400

    Merge pull request #18895 from d-m-u/adding_already_retired_check_to_service_retire_task_create

    Don't create retirement tasks for things that are already retired

    (cherry picked from commit 6bbf5f46cd3bd36d4d2138fe2c2859afbc4c5a81)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1728889

 app/models/service_retire_task.rb | 1 +
 spec/models/service_retire_task_spec.rb | 9 +
 2 files changed, 10 insertions(+)

Comment 4 Niyaz Akhtar Ansari 2019-07-31 09:46:57 UTC
Verified in Version 5.10.8.0.20190729222758_e725e22

Comment 6 errata-xmlrpc 2019-08-13 08:35:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.